package com.gic.haoban.manage.service.entity;

import java.io.Serializable;
import java.util.Date;

public class TabHaobanClerkMainStoreRelated implements Serializable {
    private String clerkMainStoreRelatedId;

    private String staffId;

    private String wxEnterpriseId;

    private String storeId;

    private Integer mainStoreFlag;

    private Integer freshFriendFlag;

    private Integer statusFlag;

    private Date createTime;

    private Date updateTime;

    private static final long serialVersionUID = 1L;

    public Integer getFreshFriendFlag() {
        return freshFriendFlag;
    }

    public void setFreshFriendFlag(Integer freshFriendFlag) {
        this.freshFriendFlag = freshFriendFlag;
    }

    public String getClerkMainStoreRelatedId() {
        return clerkMainStoreRelatedId;
    }

    public void setClerkMainStoreRelatedId(String clerkMainStoreRelatedId) {
        this.clerkMainStoreRelatedId = clerkMainStoreRelatedId == null ? null : clerkMainStoreRelatedId.trim();
    }


    public String getStaffId() {
		return staffId;
	}

	public void setStaffId(String staffId) {
		this.staffId = staffId;
	}

	public String getWxEnterpriseId() {
		return wxEnterpriseId;
	}

	public void setWxEnterpriseId(String wxEnterpriseId) {
		this.wxEnterpriseId = wxEnterpriseId;
	}

	public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId == null ? null : storeId.trim();
    }

    public Integer getMainStoreFlag() {
        return mainStoreFlag;
    }

    public void setMainStoreFlag(Integer mainStoreFlag) {
        this.mainStoreFlag = mainStoreFlag;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}